oath-toolkit (2.6.7-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * handle libxmlsec 1.2.35 (closes: #1023038)

 -- Rene Engelhard <rene@debian.org>  Sun, 13 Nov 2022 09:51:39 +0100

oath-toolkit (2.6.7-3) unstable; urgency=medium

  * [b2aa2f4] Drop example Makefiles, fixing multiarch:same file conflict.
  * [d90a954] Update Standards-Version to 4.6.0.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 20 Aug 2021 11:04:55 +0200

oath-toolkit (2.6.7-2) unstable; urgency=medium

  * Upload to unstable.
  * [84204e9] Use gbp dch id-length 7.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 15 Aug 2021 16:11:31 +0200

oath-toolkit (2.6.7-1) experimental; urgency=medium

  * New upstream release.
  * Add debci testing of libpskc via upstream pskctool self-tests.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 01 May 2021 21:53:26 +0200

oath-toolkit (2.6.6-3) unstable; urgency=medium

  [ Simon Josefsson ]
  * Drop gtk-doc-tools build-depends.
    Nothing we ship in *.deb depends on gtk-doc-tools, it is only
    neded to silence build failures due to missing pkg-config.m4 and
    gtkdocize with newer autoconf.  Revisit this when we ship any GTK-DOC
    manuals in the *.deb packages (which we probably should).
  * Add build-depends on pkg-config to fix missing upstream pkg-config.m4.
  * Fix future FTBFS with autoconf 2.70+ due to missing gtkdocize.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Annotate Build-Depends: datefudge <!nocheck>. (Closes: #981599)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 04 Feb 2021 09:07:37 +0100

oath-toolkit (2.6.6-2) unstable; urgency=medium

  * Fix path for PAM module.  Closes: #981238.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 30 Jan 2021 15:05:58 +0100

oath-toolkit (2.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop README.source.
  * Sync d/control's Description: with upstream README.
  * Work around parallel make bug.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 20 Jan 2021 23:01:00 +0100

oath-toolkit (2.6.5-1) unstable; urgency=medium

  * New upstream release.
    - Adds secure methods of passing secret keys Closes: #839278.
    - Fixes small build problems Closes: #971440.
  * Include pam-oath README.  Closes: #833927.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 26 Nov 2020 21:07:22 +0100

oath-toolkit (2.6.4-3) unstable; urgency=medium

  * Add libpskc autopkgtest.
  * Update standards version to 4.5.1.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 16 Nov 2020 08:38:34 +0100

oath-toolkit (2.6.4-2) unstable; urgency=medium

  * Rebuild using gengetopt.  Closes: #971441.
  * Provide libpskc and pskctool packages.  Closes: #847979.
  * Set Multi-Arch: same.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Nov 2020 18:33:47 +0100

oath-toolkit (2.6.4-1) unstable; urgency=medium

  * New upstream release.
    - Drop 0001-fail-gracefully-for-missing-users.patch.
  * Add autopkgtest.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 12 Nov 2020 12:43:43 +0100

oath-toolkit (2.6.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop patches gtkdocize.patch and new-glibc-check.patch.
  * Use dh instead of cdbs.
  * Drop dblatex B-D until we actually package gtk-doc manual.
  * Include man(3) pages in liboath-dev.
  * Update d/watch to version 4.
  * Wrap-and-sort -b.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 10 Nov 2020 17:29:49 +0100

oath-toolkit (2.6.1-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Acknowledge NMUs, thank you!
  * Add Build-Depends-Package to d/liboath0.symbols.
  * Replace d/upstream-signing-key.pgp with d/upstream/signing-key.asc.
  * Add d/salsa-ci.yml.
  * Drop oath-dbg package.
  * Update standards version to 4.5.0.
  * Drop useless B-D dh-autoreconf.
  * Add Rules-Requires-Root: no.
  * Improve d/upstream/metadata.
  * Use https in watch file.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 10.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Remove Priority on oath-dbg that duplicates source.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 05 Nov 2020 12:30:09 +0100

oath-toolkit (2.6.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * patch: fail gracefully for missing users (Closes: #807990)
  * push to salsa

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 13 Mar 2020 20:30:26 -0400

oath-toolkit (2.6.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use _IO_EOF_SEEN as GNU libc indicator.
    Closes: #915175

 -- Sascha Steinbiss <satta@debian.org>  Sat, 09 Feb 2019 16:39:41 +0100

oath-toolkit (2.6.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the dblatex build dependency that is now required.

 -- Adrian Bunk <bunk@debian.org>  Fri, 22 Jun 2018 20:48:53 +0300

oath-toolkit (2.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update gtk-doc files, fixing FTBFS with gtk-doc-tools >= 1.26.
    (Closes: #876120)

 -- Adrian Bunk <bunk@debian.org>  Sun, 15 Apr 2018 21:19:41 +0300

oath-toolkit (2.6.1-1) unstable; urgency=low

  * New upstream release.
    - Fix FTBFS on 32-bit systems.  Closes: #793391.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 31 Jul 2015 23:10:19 +0200

oath-toolkit (2.6.0-1) unstable; urgency=low

  * New upstream release.
    - Memory strdup allocation result checked.  Closes: #742140.
    - New symbols added.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 May 2015 14:07:52 +0200

oath-toolkit (2.4.1-2) unstable; urgency=low

  * Add debian/source/options.
  * Bump to Debian Policy version 3.9.6.
  * Update Vcs-* for move from gitorious to alioth.  Closes: #781201.
  * Update README.source.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 18 May 2015 22:15:46 +0200

oath-toolkit (2.4.1-1) unstable; urgency=low

  * New upstream release.
    - New symbols added.
    - Fixed CVE-2013-7322.  Closes: #738515.
    - Disable PSKC builds until I found a sponsor.
  * Use dh-autoreconf.  Closes: #744641.
  * Bump to Debian Policy version 3.9.5.
  * Add debian/upstream-signing-key.pgp and update watch file.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Sep 2014 16:38:12 +0200

oath-toolkit (2.0.2-2) unstable; urgency=low

  * Explicitly disable PSKC to fix FTBFS when libxml2-dev is available in
    the build environment (for example the ia64 buildd caballero).

 -- Simon Josefsson <simon@josefsson.org>  Sun, 27 Jan 2013 20:33:58 +0100

oath-toolkit (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Drop now obsolete DM-Upload-Allowed: yes.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 08 Jan 2013 21:08:10 +0100

oath-toolkit (1.12.6-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 04 Sep 2012 12:57:05 +0200

oath-toolkit (1.12.5-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 19 Aug 2012 21:41:05 +0200

oath-toolkit (1.12.4-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Jun 2012 10:48:26 +0200

oath-toolkit (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * Use DEP-5 copyright file format.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 31 May 2012 15:45:25 +0200

oath-toolkit (1.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 Apr 2012 11:52:17 +0200

oath-toolkit (1.12.1-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Apr 2012 22:13:42 +0200

oath-toolkit (1.12.0-1) unstable; urgency=low

  * New upstream release.
  * liboath: Added new symbols.
  * Bump to Debian Policy version 3.9.3.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Apr 2012 10:58:29 +0200

oath-toolkit (1.10.5-1) unstable; urgency=low

  * New upstream release.
  * liboath-dev: depend on liboath0 to silence lintian warning
    package-contains-broken-symlink.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 03 Jan 2012 21:20:47 +0100

oath-toolkit (1.10.4-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 13 Aug 2011 00:00:51 +0200

oath-toolkit (1.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 12 Aug 2011 23:37:33 +0200

oath-toolkit (1.10.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes self checks on slow hosts. (closes: #630222)

 -- Simon Josefsson <simon@josefsson.org>  Sun, 12 Jun 2011 18:16:47 +0200

oath-toolkit (1.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 12 Jun 2011 11:56:11 +0200

oath-toolkit (1.10.0-1) unstable; urgency=low

  * New upstream release.
    - Added new APIs.
  * Update package description to refer to newly relased RFC 6238.
  * Enable verbose logging during make check.
  * Bump to Debian Policy version 3.9.2.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 24 May 2011 22:44:03 +0200

oath-toolkit (1.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 04 May 2011 22:35:48 +0200

oath-toolkit (1.8.0-1) unstable; urgency=low

  * New upstream release.
    - Added new symbols to liboath0.symbols.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 03 May 2011 15:01:27 +0200

oath-toolkit (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 May 2011 11:48:25 +0200

oath-toolkit (1.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 25 Apr 2011 21:31:08 +0200

oath-toolkit (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 10 Mar 2011 00:29:25 +0100

oath-toolkit (1.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Feb 2011 23:10:17 +0100

oath-toolkit (1.6.0-1) unstable; urgency=low

  * New upstream release.
    - Added new symbols to liboath0.symbols.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Feb 2011 20:04:41 +0100

oath-toolkit (1.4.6-1) unstable; urgency=low

  * New upstream release.
  * Improve description, suggested by Russ Allbery <rra@debian.org>.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 08 Feb 2011 09:35:46 +0100

oath-toolkit (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Fixes due to debian packaging review by Tollef Fog Heen.
    - Drop .la file.
    - Fix homepage URL.
    - Remove *.dirs.
    - Improve package description.
    - (Re-)build GTK-DOC manual.
    - Install pkg-config script.
    - Use --with-pam-dir.
    - Rename liboath0-dev to liboath-dev.
    - Use pam-auth-update.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 27 Jan 2011 21:43:58 +0100

oath-toolkit (1.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 27 Jan 2011 16:42:28 +0100

oath-toolkit (1.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 20 Jan 2011 15:32:16 +0100

oath-toolkit (1.4.2-1) lucid; urgency=low

  * Initial packaging (closes: #608155)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 27 Dec 2010 22:54:17 +0100
